# Type alias AsObject

AsObject: {
amount: string;
buyerAsTakerWithoutDeposit: boolean;
currencyCode: string;
direction: string;
isPrivateOffer: boolean;
marketPriceMarginPct: number;
minAmount: string;
paymentAccountId: string;
price: string;
reserveExactAmount: boolean;
securityDepositPct: number;
triggerPrice: string;
useMarketBasedPrice: boolean;
}

#### Type declaration

- ##### amount: string

- ##### buyerAsTakerWithoutDeposit: boolean

- ##### currencyCode: string

- ##### direction: string

- ##### isPrivateOffer: boolean

- ##### marketPriceMarginPct: number

- ##### minAmount: string

- ##### paymentAccountId: string

- ##### price: string

- ##### reserveExactAmount: boolean

- ##### securityDepositPct: number

- ##### triggerPrice: string

- ##### useMarketBasedPrice: boolean

- Defined in src/protobuf/grpc_pb.d.ts:1555

Generated using TypeDoc